// Generic curve functions.  Friends to the classes.
// This is changed from the original curve.h file, which has an enumerated type for continuity and more
// possibilities for the curveEnum.  These are all I need for this program, though.

#ifndef _NEVIN_GENCURVE_
#define _NEVIN_GENCURVE_
 
 #include <stdlib.h>
 #include <iostream>
 #include <cmath>
 #include <GLUT/glut.h>
 
 void multStuff(GLfloat M[4][4], GLfloat*, GLfloat*);
 float dist(int, int, int, int);
 void cubicCurve(GLfloat*, GLfloat*, GLfloat*, GLint);

 enum curveEnum {NONE, P1, P4, R1, R4};
 


#endif